-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBasePackage

Declaration :

- C++ : class UmlBasePackage : public UmlItem
- Java : abstract class UmlBasePackage extends UmlItem

Directly inherited by : UmlPackage

Manage the packages

Artifact : UmlBasePackage

Operation create

Declaration :

- C++ : public: static UmlPackage * create(UmlPackage * parent, const char * name)
- Java : public static UmlPackage create(UmlPackage parent, String name) throws RuntimeException

returns a new package named 'name' created under 'parent' In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation associatedDiagram

Declaration :

- C++ : public: UmlClassDiagram * associatedDiagram()
- Java : public UmlClassDiagram associatedDiagram()

returns the optional associated diagram

Operation set_AssociatedDiagram

Declaration :

- C++ : public: bool set_AssociatedDiagram(UmlClassDiagram * d)
- Java : public void set_AssociatedDiagram(UmlClassDiagram d) throws RuntimeException

sets the associated diagram, arg may be null to unset it On error return FALSE in C++, produce a RuntimeException in Java

Operation cppSrcDir

Declaration :

- C++ : public: const QCString & cppSrcDir()
- Java : public String cppSrcDir()

returns the path where the C++ source files are generated by the c++ generator.

Operation set_CppSrcDir

Declaration :

- C++ : public: bool set_CppSrcDir(const QCString & s)
- Java : public void set_CppSrcDir(String s) throws RuntimeException

to set the path where the C++ source files are generated by the C++ generator, may be relative even the 'root' path is not (already) an absolute path On error return FALSE in C++, produce a RuntimeException in Java

Operation cppHDir

Declaration :

- C++ : public: const QCString & cppHDir()
- Java : public String cppHDir()

returns the path where the C++ header files are generated by the C++ generator.

Operation set_CppHDir

Declaration :

- C++ : public: bool set_CppHDir(const QCString & s)
- Java : public void set_CppHDir(String s) throws RuntimeException

to set the path where the C++ header files are generated by the C++ generator, may be relative even the 'root' path is not (already) an absolute path On error return FALSE in C++, produce a RuntimeException in Java

Operation cppNamespace

Declaration :

- C++ : public: QCString cppNamespace()
- Java : public String cppNamespace()

returns the namespace name associed to the package

Operation set_CppNamespace

Declaration :

- C++ : public: bool set_CppNamespace(const QCString & s)
- Java : public void set_CppNamespace(String s) throws RuntimeException

to set the namespace name associed to the package. On error return FALSE in C++, produce a RuntimeException in Java

Operation findNamespace

Declaration :

- C++ : public: UmlPackage * findNamespace(const QCString & n) const
- Java : public UmlPackage findNamespace(String n)

returns a sub package of the current one having the c++ namespace 'n' (including the current one), else 0/null

Operation javaDir

Declaration :

- C++ : public: const QCString & javaDir()
- Java : public String javaDir()

returns the path where the JAVA files are generated by the JAVA generator.

Operation set_JavaDir

Declaration :

- C++ : public: bool set_JavaDir(const QCString & s)
- Java : public void set_JavaDir(String s) throws RuntimeException

to set the path where the JAVA files are generated by the JAVA generator, may be relative even the 'root' path is not (already) an absolute path On error return FALSE in C++, produce a RuntimeException in Java

Operation javaPackage

Declaration :

- C++ : public: QCString javaPackage()
- Java : public String javaPackage()

returns the java package name associed to the package

Operation set_JavaPackage

Declaration :

- C++ : public: bool set_JavaPackage(const QCString & s)
- Java : public void set_JavaPackage(String s) throws RuntimeException

to set the java package name associed to the package. On error return FALSE in C++, produce a RuntimeException in Java

Operation findPackage

Declaration :

- C++ : public: UmlPackage * findPackage(const QCString & n) const
- Java : public UmlPackage findPackage(String n)

returns a sub package of the current one having the Java package 'n' (including the current one), else 0/null

Operation idlDir

Declaration :

- C++ : public: const QCString & idlDir()
- Java : public String idlDir()

returns the path where the IDL files are generated by the IDL generator.

Operation set_IdlDir

Declaration :

- C++ : public: bool set_IdlDir(const QCString & s)
- Java : public void set_IdlDir(String s) throws RuntimeException

to set the path where the IDL files are generated by the IDL generator, may be relative even the 'root' path is not (already) an absolute path On error return FALSE in C++, produce a RuntimeException in Java

Operation idlModule

Declaration :

- C++ : public: QCString idlModule()
- Java : public String idlModule()

returns the module name associed to the package

Operation set_IdlModule

Declaration :

- C++ : public: bool set_IdlModule(const QCString & s)
- Java : public void set_IdlModule(String s) throws RuntimeException

to set the module name associed to the package. On error return FALSE in C++, produce a RuntimeException in Java

Operation findModule

Declaration :

- C++ : public: UmlPackage * findModule(const QCString & n) const
- Java : public UmlPackage findModule(String n)

returns a sub package of the current one having the IDL module 'n' (including the current one), else 0/null

Operation getProject

Declaration :

- C++ : public: static UmlBasePackage * getProject()
- Java : public static UmlBasePackage getProject()

Returns the project

Operation isProjectModified

Declaration :

- C++ : public: static bool isProjectModified()
- Java : public static boolean isProjectModified()

return TRUE in case something is modified (i.e. the project must be saved)

Operation saveProject

Declaration :

- C++ : public: static void saveProject()
- Java : public static void saveProject()

save the project if needed

Operation loadProject

Declaration :

- C++ : public: static void loadProject(QCString p)
- Java : public static void loadProject(String p)

Does nothing in case an edition is on going under BOUML. Else : close the current project (in case it is not saved the last modifications are lost), load the specified one, and all the communications with the plug-outs including the current one are closed.

Operation unload

Declaration :

- C++ : public: virtual void unload(bool rec = FALSE, bool del = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically if needed. Recursively done for the sub items if 'rec' is TRUE. if 'del' is true the sub items are deleted in C++, and removed from the internal dictionnary in C++ and Java (to allow it to be garbaged), you will have to call Children() to re-access to them

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- C++ : private: UmlClassDiagram * _assoc_diagram
- Java : private UmlClassDiagram _assoc_diagram

Attribut _cpp_src_dir

Declaration :

- C++ : private: QCString _cpp_src_dir
- Java : private String _cpp_src_dir

Attribut _cpp_h_dir

Declaration :

- C++ : private: QCString _cpp_h_dir
- Java : private String _cpp_h_dir

Attribut _cpp_namespace

Declaration :

- C++ : private: QCString _cpp_namespace
- Java : private String _cpp_namespace

Attribut _java_dir

Declaration :

- C++ : private: QCString _java_dir
- Java : private String _java_dir

Attribut _java_package

Declaration :

- C++ : private: QCString _java_package
- Java : private String _java_package

Attribut _idl_dir

Declaration :

- C++ : private: QCString _idl_dir
- Java : private String _idl_dir

Attribut _idl_module

Declaration :

- C++ : private: QCString _idl_module
- Java : private String _idl_module

Operation read_uml_

Declaration :

- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

Operation read_cpp_

Declaration :

- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

internal, do NOT use it

Operation read_java_

Declaration :

- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

internal, do NOT use it

Operation read_idl_

Declaration :

- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

internal, do NOT use it

Operation UmlBasePackage

Declaration :

- C++ : protected: UmlBasePackage(void * id, const QCString & n)
- Java : protected UmlBasePackage(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , associatedDiagram , children , childrenVisible , cppHDir , cppNamespace , cppSrcDir , create , defined_ , description , findModule , findNamespace , findPackage , getProject , identifier_ , idlDir , idlModule , isMarked , isProjectModified , isToolRunning , isWritable , javaDir , javaPackage , kind , kind , loadProject , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveProject , set_AssociatedDiagram , set_childrenVisible , set_CppHDir , set_CppNamespace , set_CppSrcDir , set_Description , set_IdlDir , set_IdlModule , set_isMarked , set_JavaDir , set_JavaPackage , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload